F-Secure muistuttaa Y2K38-ongelmasta - Digitoday - Ilta-Sanomat

25 vuotta Y2K38-ongelmaan – pankkijärjestelmät voivat sekoilla jo nyt

Kuvituskuva
Julkaistu: 21.1.2013 10:45, Päivitetty 21.1.2013 10:33

Eri vempaimet ja järjestelmät uhkaavat sekoilla 25 vuoden päästä, tietoturvayhtiö F-Secure varoittaa.

Apophis tuskin törmää Maahan vuonna 2036, eikä kaksi vuotta myöhemmin uhkaavan Y2K38-ongelmankaan ole pakko aiheuttaa mitään hävitystä.

Suomalainen virustorjuja F-Secure pani merkille lauantain 19. tammikuuta. Silloin oli jäljellä tasan 25 vuotta niin kutsuttuun Y2K38-bugiin, joka voi koittaa 19. tammikuuta 2038.

– Monet Unix-pohjaiset järjestelmät eivät pysty käsittelemään tuon hetken jälkeisiä päivämääriä. Esimerkiksi nykyiset ja yleiset Unix-pohjaiset puhelimet eivät anna asettaa päivämäärää vuotta 2038 edemmäs. Tämä päti kaikkiin iPhoneihin ja Android-puhelimiin, joita kokeilimme, F-Securen tutkimusjohtaja Mikko Hyppönen kirjoittaa yhtiön blogissa.

Ongelma ei koske Windows Phone -laitteita, joissa päivämäärän voi asettaa aina vuoteen 3000 asti.

Vaikka 25 vuotta on pitkä aika, Hyppösen mielestä on selvää, että Unix-pohjaisia järjestelmiä on vuonna 2038 yhä olemassa. Ja järjestelmät voivat alkaa pettää jo nyt esimerkiksi, jos tehtävänä on laskea 25-vuotisia korkoja.

Pankeissa käytetään edelleen paljon unix-pohjaisia järjestelmiä.

Jotkut saattavat ajatella, että Y2K38-ongelmasta tulee vielä samanlainen ylimainostettu epäongelma, kuin vuosituhannen vaihteen Y2K:sta konsanaan.

Mutta toisten mukaan, joihin myös F-Securen Mikko Hyppönen lukeutuu, Y2K-ongelma oli varsin todellinen ja siltä vältyttiin juuri siksi, että ongelmaan suhtauduttiin vakavasti ja sen korjaamiseksi ennen takarajaa tehtiin paljon töitä.

Y2K38:n uhkaa rajoittaa muun muassa se, että 64-bittiset järjestelmät ovat jo korvaamassa haavoittuvat 32-bittiset järjestelmät.

Tuoreimmat osastosta